SlimFTPd Multiple Command Handling Overflow

This script is Copyright (C) 2004-2012 Tenable Network Security, Inc.


Synopsis :

The remote FTP server is prone to multiple buffer overflow attacks.

Description :

The remote host appears to be using SlimFTPd, a free, small,
standards-compliant FTP server for Windows.

According to its banner, the version of SlimFTPd installed on the
remote host is prone to one or more buffer overflow attacks that can
lead to arbitrary code execution.

Note that successful exploitation of either of these flaws requires an
attacker first authenticate.

See also :

http://archives.neohapsis.com/archives/fulldisclosure/2004-11/0293.html
http://archives.neohapsis.com/archives/bugtraq/2005-07/0348.html

Solution :

Upgrade to SlimFTPd version 3.17 or later.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)
CVSS Temporal Score : 8.5
(CVSS2#E:F/RL:U/RC:C)
Public Exploit Available : true

Family: FTP

Nessus Plugin ID: 15704 ()

Bugtraq ID: 11645
14339

CVE ID: CVE-2004-2418
CVE-2005-2373